Unit tde94r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FDE94R_p, FJDE94R_p, FXDE94R_p, DE94R_p;

function tde94r: String;

implementation

function tde94r: String;
var
M,JSTART,IH,IERR :Integer;
X,HMIN,EPS,P,H,Y1,Y2,Y3,Y4,XP :Real;
BUL :Boolean;
YX :Array [0..3] of Real;
YP :Array [0..3] of Real;
A :Array [0..15] of Real;
A1 :Array [0..15] of Real;
A2 :Array [0..15] of Real;
RAB :Array [0..19] of Real;
R1 :Array [0..3] of Real;
R2 :Array [0..3] of Real;
R3 :Array [0..3] of Real;
R4 :Array [0..3] of Real;
YD :Array [0..3] of Real;
label
_100,_101,_102,_103,_104,_105,_106;
begin
Result := '';  {   }
M := 4;
X := 0.0;
YX[0] := 10.0;
YX[1] := 11.0;
YX[2] := 111.0;
YX[3] := 111.0;
HMIN := 1.E-10;
EPS := 1.E-4;
P := 1.E3;
JSTART := 0;
H := 0.01;
IH := 0;
_100:
IH := IH + 1;
DE94R (FDE94R,FJDE94R,FXDE94R,M,JSTART,HMIN,EPS,P,YX,X,H,BUL,XP,YP,
     A,A1,A2,RAB,R1,R2,R3,R4,YD,IERR);
{    BCEHE TOHOO PEEH CCTEM: }
Y1 := 10.0*Exp(-100.0*X);
Y2 := Y1+Exp(-X)*(Cos(X)+Sin(X));
Y3 := Y2+100.0*Exp(-1.E4*X)*Cos(10.0*X);
Y4 := Y3+100.0*Exp(-1.E4*X)*Sin(10.0*X);
Result := Result + Format('%s',[' ']) + #$0D#$0A; 
Result := Result + Format(' %20.16f  %20.16f ',[Y1,Y2]);
Result := Result + Format('%s',[' ']) + #$0D#$0A; 
Result := Result + Format(' %20.16f  %20.16f ',[Y3,Y4]);
Result := Result + Format('%s',[' ']) + #$0D#$0A; 
Result := Result + Format(' %20.16f  %20.16f ',[YX[0],YX[1]]);
Result := Result + Format('%s',[' ']) + #$0D#$0A; 
Result := Result + Format(' %20.16f  %20.16f  %20.16f  %20.16f ',
 [YX[2],YX[3],X,H]) + #$0D#$0A;
Result := Result + Format('%s',[' ']) + #$0D#$0A; 
Result := Result + Format('%s',
 [' PACEATKA OPEHOCT PEHHOO PEEH']) + #$0D#$0A; 
Result := Result + Format('%s',[' ']) + #$0D#$0A; 
{  PACEATKA OPEHOCT PEHHOO PEEH }
Result := Result + Format(' %20.16f  %20.16f  %20.16f  %20.16f ',
 [RAB[0],RAB[1],RAB[2],RAB[3]]) + #$0D#$0A;
case IH of
 1: goto _101;
 2: goto _102;
 3: goto _103;
 4: goto _104;
 5: goto _105;
 6: goto _106;
end;
_101:
H := 1.E-8;
goto _100;
_102:
H := -1.E-8;
goto _100;
_103:
JSTART := -1;
goto _100;
_104:
JSTART := -1;
H := -1.E-8;
goto _100;
_105:
H := 0.01;
goto _100;
_106:
UtRes('tde94r',Result);  {     tde94r.res }
exit;
end;

end.
